Bug 857562 - Provide more clarity in documentation how Storage async erratas are to be applied as they are incremental and cumulative
Provide more clarity in documentation how Storage async erratas are to be app...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: doc-Installation_Guide (Show other bugs)
2.0
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Anjana Suparna Sriram
Sudhir D
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-14 16:48 EDT by Scott Haines
Modified: 2015-04-10 03:12 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-10 03:12:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Haines 2012-09-14 16:48:54 EDT
Writing to request that the Storage Installation Guide (and possibly the Admin Guide) be updated to provide more clarity on how an end user is to apply any and all async errata for the Storage product as they are incremental and cumulative. 

Per VS;

"On the server side, they will need to restart glusterd for applied changes to take effect. If there are any changes in NFS, either the NFS process will have to be restarted or the volume will have to be restarted (stop/start)."

"On the client side, there is no action required for NFS. If it is a native client, it will require an unmount/mount for the changes to take effect."

"I will just need to check if we restart glusterd in the rpm post-install. I will take an AI to coordinate this with Anjana."

Per Anjana;

"Currently, the RHS Installation Guide has a section - Setting Software
Updates -- https://access.redhat.com/knowledge/docs/en-US/Red_Hat_Storage/2.0/html/Installation_Guide/chap-Installation_Guide-Software_Updates.html."
Comment 1 Vidya Sakar 2012-09-21 07:12:23 EDT
Have verified that we restart glusterd in the rpm postinstall, so no specific instructions required.

And with respect to restarting NFS process, this needs to be done only when there are NFS fixes in a particular errata, this is not needed when there are no NFS fixes. So this will be better handled in that specific errata text than a general update to the install/admin guide.

Same applies to native client updates. Only when the client RPMs are updated, umount/mount needs to be done. Today we rebuild client RPMs anyway even if there are no updates on client side. This needs fixing so that we will know when changes are happening on client side. I believe there is a BZ for this already.
Comment 3 Sudhir D 2012-10-01 10:23:35 EDT
Had suggested minor changes which is incorporated now. Looks good.

Note You need to log in before you can comment on or make changes to this bug.